{% extends "base.html" %}

{% block content %}
    <h2>Organizations list from <a href="{{ SERVER_ORG }}">Mathrice Directory</a></h2>

    <table cellpadding="0" cellspacing="0" border="1" class="display" id="calendarTable">
        <thead>
        <tr>
            <th></th>
            <th>id</th>
            <th>Entitled</th>
            <th>Location</th>
            <th>Wardship</th>
            <th>uri</th>
        </tr>
        </thead>

        <tbody>
        {% for id,detail in orgs.items %}
            <tr>
                <td style="text-align: left"><i>{{ forloop.counter }}</i></td>
                <td style="text-align: left">{{ id }}</td>
                <td style="text-align: left">{{ detail.entitled }}</td>
                <td style="text-align: left">{% if detail.location %}{{ detail.location }}{% endif %}</td>
                <td style="text-align: left">{% if detail.wardship %}{{ detail.wardship }}{% endif %}</td>
                <td style="text-align: left">{% if detail.uri %}{{ detail.uri }}{% endif %}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}


{% block css %}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}/js/DataTables-1.8.2/media/css/demo_table.css"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{{ STATIC_URL }}/js/DataTables-1.8.2/media/js/jquery.dataTables.js"></script>

    <script>
        $(document).ready(function () {
            $('#calendarTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ]
            });
        });
    </script>

{% endblock %}


